# TMR_SimpleReadPlan Struct Reference
[Read plans]

`#include <tmr_read_plan.h>`

List of all members.

## Public Attributes

TMR_uint8List | antennas
TMR_TagProtocol | protocol
TMR_TagFilter * | filter
TMR_TagOp * | tagop
bool | useFastSearch
TMR_StopOnTagCount | stopOnCount
TMR_GPITriggerRead | triggerRead

## Detailed Description

A SimpleReadPlan contains a protocol, a list of antennas, and an optional filter. The list of antennas may be an empty list, in which case the reader will use all antennas in the antenna map (see `/reader/antenna/txRxMap`) where the reader has detected an antenna present. The filter describes any selection or filtering operation to perform in the RFID protocol during the search. The filter may be `NULL`, in which case no selection or filtering is performed. Invalid combinations of protocols and filters (a Gen2 select on ISO180006B, for example) will produce an error at read time.

## Member Data Documentation

TMR_uint8List TMR_SimpleReadPlan::antennas

The list of antennas to read on

TMR_TagFilter* TMR_SimpleReadPlan::filter

The filter to apply to reading, or NULL

TMR_TagProtocol TMR_SimpleReadPlan::protocol

The protocol to use for reading

TMR_StopOnTagCount TMR_SimpleReadPlan::stopOnCount

The stop N trigger

TMR_TagOp* TMR_SimpleReadPlan::tagop

The tag operation to apply to each read tag, or NULL

TMR_GPITriggerRead TMR_SimpleReadPlan::triggerRead

The GPI trigger read

bool TMR_SimpleReadPlan::useFastSearch

Option to use the FastSearch

The documentation for this struct was generated from the following file:

- tmr_read_plan.h